Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface Namespace

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleNamespace

    public interface Namespace

extends Comparable, Changeable

The namespace of an entry in a database schema. Relates directly to the BioDatabase table in BioSQL. All BioEntry objects belong to namespaces.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `BioEntry`

Field Summary
`static ChangeType` | `ACRONYM`
`static ChangeType` | `AUTHORITY`
`static ChangeType` | `DESCRIPTION`
`static ChangeType` | `NAME`
`static ChangeType` | `URI`

Method Summary
`String` | `getAcronym()` If the namespace has an acronym, this will return it.
`String` | `getAuthority()` This method will return the authority that governs the namespace.
`String` | `getDescription()` Returns a description of this namespace.
`String` | `getName()` The name of the namespace is immutable and must be set by the constructor of the instantiating class.
`URI` | `getURI()` If the namespace has a URI, this will return it.
`void` | `setAcronym(String acronym)` Sets an optional acronym for the namespace.
`void` | `setAuthority(String authority)` This method sets the authority that governs the namespace.
`void` | `setDescription(String description)` This method sets a description for the namespace.
`void` | `setURI(URI URI)` Sets an optional URI for the namespace.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### NAME

    static final ChangeType NAME

### AUTHORITY

    static final ChangeType AUTHORITY

### DESCRIPTION

    static final ChangeType DESCRIPTION

### ACRONYM

    static final ChangeType ACRONYM

### URI

    static final ChangeType URI

Method Detail

### getName

    String getName()

  The name of the namespace is immutable and must be set by the constructor of the instantiating class. The name should also be unique. This method will return the name.

  Returns:
    The name of the namespace.

### getAuthority

    String getAuthority()

  This method will return the authority that governs the namespace.

  Returns:
    the name of the namespace authority.

### setAuthority

    void setAuthority(String authority)
                      throws ChangeVetoException

  This method sets the authority that governs the namespace. Null will unset it.

  Parameters:
    `authority` - the name of the namespace authority.
  Throws:
    `ChangeVetoException` - in case of objections.

### getDescription

    String getDescription()

  Returns a description of this namespace.

  Returns:
    the description of the namespace.

### setDescription

    void setDescription(String description)
                        throws ChangeVetoException

  This method sets a description for the namespace. Null will unset it.

  Parameters:
    `description` - the description of the namespace.
  Throws:
    `ChangeVetoException` - in case of objections.

### getAcronym

    String getAcronym()

  If the namespace has an acronym, this will return it.

  Returns:
    the acronym for the namespace.

### setAcronym

    void setAcronym(String acronym)
                    throws ChangeVetoException

  Sets an optional acronym for the namespace. Null will unset it. Note that in BioSQL 1.0 Acronym is only part of the Oracle schema therefore it will only be persisted in that schema.

  Parameters:
    `acronym` - the acronym for the namespace.
  Throws:
    `ChangeVetoException` - in case of objections.

### getURI

    URI getURI()

  If the namespace has a URI, this will return it.

  Returns:
    the URI of the authority.

### setURI

    void setURI(URI URI)
                throws ChangeVetoException

  Sets an optional URI for the namespace. Null will unset it. Note that in BioSQL 1.0 URI is not persisted into the database unless the extended Oracle schema is used.

  Parameters:
    `URI` - the URI of the authority.
  Throws:
    `ChangeVetoException` - in case of objections.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD